Scilab Function
Last update : 00/00/0000

xpolys - dessine un ensemble de lignes brisées ou de polygones

### Calling Sequence

  `xpolys(xpols,ypols,[draw])`

### Parameters

- `xpols,ypols` : matrices de même taille (p,n) (points des lignes brisées).
- `draw` : vecteur de taille n.

### Description

`xpolys` dessine un ensemble de lignes brisées ou de polygones. Les coordonnées de chaque ligne brisée sont stockées dans une colonne de `xpols` et `ypols`.

Le style de la ligne brisée i est donné par `draw(i)` :

  -Si `draw(i)` < 0 , le marqueur numéro `-draw(i)` est utilisé (les marqueurs sont dessinés en utilisant la couleur courante). Utiliser `xset()` pour voir les codes des marqueurs.
  -Si `draw(i)` > 0, la couleur numéro `draw(i)` est utilisé pour dessiner la ligne brisée i. Utiliser `xset()` pour voir les codes des couleurs.

### Examples

        plot2d(0,0,-1,"012"," ",[0,0,1,1])
        rand("uniform")
        xset("color",3)
        xpolys(rand(3,5),rand(3,5),[-1,-2,0,1,2])
        xset("default")

### See Also

`xfpoly`, `xfpolys`, `xpoly`,

### Author

J.Ph.C.